Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Class AbstractKnowledgeBaseFactory

    java.lang.Object
      edu.stanford.smi.protege.model.AbstractKnowledgeBaseFactory

All Implemented Interfaces:
  KnowledgeBaseFactory, KnowledgeBaseFactory2

Direct Known Subclasses:
  ClipsKnowledgeBaseFactory, XMLKnowledgeBaseFactory

    public abstract class AbstractKnowledgeBaseFactory

extends Object
implements KnowledgeBaseFactory2

Author:
  Ray Fergerson

Field Summary

Fields inherited from interface edu.stanford.smi.protege.model.KnowledgeBaseFactory
`FACTORY_CLASS_NAME`

Constructor Summary
`AbstractKnowledgeBaseFactory()`

Method Summary
`protected void` | `close(Reader reader)`
`protected void` | `close(Writer writer)`
`NarrowFrameStore` | `createNarrowFrameStore(String name)`
`protected BufferedReader` | `createReader(KnowledgeBase kb, String name, Collection errors)`
`protected File` | `createTempFile(KnowledgeBase kb, String fileName)`
`protected BufferedWriter` | `createWriter(File file)`
`String` | `getProjectFilePath()`
`protected URI` | `getSourceUri(String name, PropertyList sources, KnowledgeBase kb)`
`void` | `includeKnowledgeBase(KnowledgeBase kb, PropertyList sources, Collection errors)`
`protected abstract void` | `loadKnowledgeBase(KnowledgeBase kb, PropertyList sources, boolean isInclude, Collection error)`
`void` | `loadKnowledgeBase(KnowledgeBase kb, PropertyList sources, Collection errors)`
`protected void` | `makeTempFilePermanent(File file)`
`void` | `prepareToSaveInFormat(KnowledgeBase kb, KnowledgeBaseFactory factory, Collection errors)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.model.KnowledgeBaseFactory
`createKnowledgeBase, createKnowledgeBaseSourcesEditor, getDescription, isComplete, saveKnowledgeBase`

Constructor Detail

### AbstractKnowledgeBaseFactory

    public AbstractKnowledgeBaseFactory()

Method Detail

### createReader

    protected BufferedReader createReader(KnowledgeBase kb,
                                          String name,
                                          Collection errors)

### getProjectFilePath

    public String getProjectFilePath()

  Specified by:
    `getProjectFilePath` in interface `KnowledgeBaseFactory`

### loadKnowledgeBase

    public void loadKnowledgeBase(KnowledgeBase kb,
                                  PropertyList sources,
                                  Collection errors)

  Specified by:
    `loadKnowledgeBase` in interface `KnowledgeBaseFactory`

### createNarrowFrameStore

    public NarrowFrameStore createNarrowFrameStore(String name)

  Specified by:
    `createNarrowFrameStore` in interface `KnowledgeBaseFactory2`

### includeKnowledgeBase

    public void includeKnowledgeBase(KnowledgeBase kb,
                                     PropertyList sources,
                                     Collection errors)

  Specified by:
    `includeKnowledgeBase` in interface `KnowledgeBaseFactory`

### loadKnowledgeBase

    protected abstract void loadKnowledgeBase(KnowledgeBase kb,
                                              PropertyList sources,
                                              boolean isInclude,
                                              Collection error)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### createTempFile

    protected File createTempFile(KnowledgeBase kb,
                                  String fileName)
                           throws IOException

  Throws:
    `IOException`

### makeTempFilePermanent

    protected void makeTempFilePermanent(File file)
                                  throws IOException

  Throws:
    `IOException`

### createWriter

    protected BufferedWriter createWriter(File file)

### close

    protected void close(Writer writer)

### close

    protected void close(Reader reader)

### getSourceUri

    protected URI getSourceUri(String name,
                               PropertyList sources,
                               KnowledgeBase kb)

### prepareToSaveInFormat

    public void prepareToSaveInFormat(KnowledgeBase kb,
                                      KnowledgeBaseFactory factory,
                                      Collection errors)

  Specified by:
    `prepareToSaveInFormat` in interface `KnowledgeBaseFactory2`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.